- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

# C:/Documents and Settings/jegan/Desktop/projectX/colorMain.cpp File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string>`
`#include <io.h>`
`#include <iostream>`
`#include <sstream>`
`#include <cassert>`
`#include <map>`
`#include <algorithm>`
`#include <hash_map>`
`#include "SDL.h"`
`#include "SDL_image.h"`
`#include "glfuncs.h"`
`#include "colorScreen.h"`
`#include "Sprite.h"`

Go to the source code of this file.

## Functions
void | loadObjects ()
Uint32 | loadPixelFile (std::string filename)
void | readObjects (std::string dir)
void | readTextures (std::string extension)
void | showAll (int type, int page)
void | showObject (Uint32 pixel, int y)
void | showTexture (Uint32 pixel, int y)
void | showColl (int y)
int | main (int argc, char *argv[])
## Variables
static Uint32 | WALKBEHIND
static Uint32 | WALKINTO
static Uint32 | WALKINFRONT
static std::map< Uint32, Sprite * > | TEXTURES
static std::map< Uint32, std::string > | OBJECTS
static std::map< Uint32, Sprite * > | PELS
static vector< Uint32 > | COLORS

## Function Documentation

void loadObjects | ( |  | ) |

| Definition at line 252 of file colorMain.cpp. References loadPixelFile(), readObjects(), readTextures(), WALKBEHIND, WALKINFRONT, and WALKINTO. Referenced by main().

Uint32 loadPixelFile | ( | std::string | filename | ) |

| Definition at line 268 of file colorMain.cpp. References glfuncs::instance(), and glfuncs::load_image(). Referenced by loadObjects().

int main | ( | int | argc,
|  | char * | argv[]
| ) |

| Definition at line 60 of file colorMain.cpp. References Screen::drawScreen(), Screen::FRAMERATE, Screen::getScreenRect(), glfuncs::instance(), Screen::instance(), glfuncs::load_image(), loadObjects(), glfuncs::SDL_GL_LoadTexture(), and showAll().

void readObjects | ( | std::string | dir | ) |

| Definition at line 286 of file colorMain.cpp. References COLORS, glfuncs::instance(), glfuncs::load_image(), Sprite::loadSprite(), OBJECTS, PELS, Sprite::setHeight(), and Sprite::setWidth(). Referenced by loadObjects().

void readTextures | ( | std::string | extension | ) |

| Definition at line 332 of file colorMain.cpp. References COLORS, glfuncs::instance(), glfuncs::load_image(), Sprite::loadSprite(), PELS, Sprite::setHeight(), Sprite::setWidth(), and TEXTURES. Referenced by loadObjects().

void showAll | ( | int | type,
|  | int | page
| ) |

| Definition at line 378 of file colorMain.cpp. References COLORS, Screen::drawText(), Screen::instance(), OBJECTS, showColl(), showObject(), showTexture(), and TEXTURES. Referenced by main().

void showColl | ( | int | y | ) |

| Definition at line 443 of file colorMain.cpp. References Screen::drawText(), Screen::instance(), PELS, Sprite::SCREEN, WALKBEHIND, and WALKINTO. Referenced by showAll().

void showObject | ( | Uint32 | pixel,
|  | int | y
| ) |

| Definition at line 424 of file colorMain.cpp. References Screen::drawText(), Screen::instance(), OBJECTS, PELS, and Sprite::SCREEN. Referenced by showAll().

void showTexture | ( | Uint32 | pixel,
|  | int | y
| ) |

| Definition at line 434 of file colorMain.cpp. References PELS, Sprite::SCREEN, and TEXTURES. Referenced by showAll().

## Variable Documentation

vector<Uint32> COLORS`[static]`

| Definition at line 45 of file colorMain.cpp. Referenced by readObjects(), readTextures(), and showAll().

std::map<Uint32,std::string> OBJECTS`[static]`

| Definition at line 43 of file colorMain.cpp. Referenced by readObjects(), showAll(), and showObject().

std::map<Uint32,Sprite *> PELS`[static]`

| Definition at line 44 of file colorMain.cpp. Referenced by readObjects(), readTextures(), showColl(), showObject(), and showTexture().

std::map<Uint32,Sprite *> TEXTURES`[static]`

| Definition at line 42 of file colorMain.cpp. Referenced by readTextures(), showAll(), and showTexture().

Uint32 WALKBEHIND`[static]`

| Definition at line 39 of file colorMain.cpp. Referenced by loadObjects(), and showColl().

Uint32 WALKINFRONT`[static]`

| Definition at line 41 of file colorMain.cpp. Referenced by loadObjects().

Uint32 WALKINTO`[static]`

| Definition at line 40 of file colorMain.cpp. Referenced by loadObjects(), and showColl().